FOODSbyme

Tài liệu API bằng tiếng Anh.

Tham chiếu API

Driver Status API

Keep rider availability and capacity in sync.

Report your riders’ availability, online status, and capacity so the network can route the right volume to your fleet. Accurate status improves assignment quality and your reliability score.

Khả năng

  • Set riders online, offline, or on-break
  • Report current capacity and active deliveries
  • Update rider vehicle and zone
  • Retrieve aggregate fleet availability

Endpoint

PATCH/v1/riders/{rider_id}/status

Update a rider’s availability

GET/v1/riders

List your riders and their status

GET/v1/fleet/availability

Aggregate availability by zone

Set a rider online

Yêu cầu
curl -X PATCH https://api.foodsbyme.com/v1/riders/rdr_19f3/status \
  -H "Authorization: Bearer $FOODS_PARTNER_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "status": "online", "zone": "lekki", "capacity": 2 }'
Phản hồi · 200 OK
{
  "rider_id": "rdr_19f3",
  "status": "online",
  "zone": "lekki",
  "capacity": 2,
  "active_deliveries": 0,
  "updated_at": "2026-06-13T10:42:11Z"
}

Sẵn sàng tích hợp?

Yêu cầu khóa đối tác và đội giải pháp của chúng tôi sẽ giúp bạn đi vào hoạt động.